# DMX Raylib
Trying to get my DMX Lightshow app working with raylib (and imgui)

## Deps:
[https://cmake.org/](cmake)
A c++ compiler [https://www.mingw-w64.org/](mingw)

## Cloning
Clone the repo with git:
```bash
git clone https://thisrepo.com:8080/dmxshowraylib/dmxshowraylib.git
```
Or you can choose the *Download zip* option

Then, extract / navigate to the downloaded directory.
Create a build folder:
```bash
mkdir build
cd build
```

Use a generator to generate the build files. (Using ninja in this example)
```
cmake -G "Ninja" ..
```

Let this run, then build the project using:
```
cmake --build . -- -j
```
(The -j flag uses all cores to build faster)

You can also build a Visual Studio solution file. This is usually the default if you don't specify a generator to cmake:
```bash
cmake ..
```

This should create a project `.sln` file you can open with Visual Studio. Then, just hit F5!


### Libraries used:
- [https://github.com/raysan5/raylib](Raylib) Amazing library
- [https://github.com/raylib-extras/rlImGui](rlImGui) ImGui with Raylib Backend
- [https://github.com/ocornut/imgui](ImGui) Little tooling
