#include "raylib.h"
#include "panel.h"

int main() {
    const int screenWidth = 1920;
    const int screenHeight = 1080;

    InitWindow(screenWidth, screenHeight, "DMX Raylib UI");
    SetTargetFPS(60);

    // Create the timeline and properties panels
    Panel timelinePanel = {{0, 0, screenWidth * 0.75f, screenHeight * 0.6f}, "Timeline", LIGHTGRAY, DARKGRAY, true};
    Panel propertiesPanel = {{screenWidth * 0.75f, 0, screenWidth * 0.25f, screenHeight}, "Properties", LIGHTGRAY, DARKGRAY, true};

    while (!WindowShouldClose()) {
        // Update panels
        timelinePanel.Update();
        propertiesPanel.Update();

        BeginDrawing();
        ClearBackground(RAYWHITE);

        // Draw panels
        if (timelinePanel.isVisible) timelinePanel.Draw();
        if (propertiesPanel.isVisible) propertiesPanel.Draw();

        DrawFPS(3, screenHeight - 20);
        EndDrawing();
    }

    CloseWindow();
    return 0;
}
